petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmGetSize

Retrives the total length of fields registered

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmGetSize(DM dm,PetscInt *n)

Collective on dm

### Input parameter

dm -a DMSwarm

### Output parameter

n -the total length of each registered field

### Note

This calls MPI_Allreduce upon each call (inefficient but safe)

### See Also

DMSwarmGetLocalSize(), DMSwarmSetLocalSizes()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages